
Foreman - Bug #18718

Saving a boolean matcher with no value changes the value to false

02/28/2017 06:09 AM - Ori Rabin

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Parameters   

Target version: 1.14.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4345

  

Description

Previous fix for: http://projects.theforeman.org/issues/17870 was incomplete.

Related issues:

Related to Foreman - Bug #17870: Saving an empty matcher for smart class para... Closed 12/29/2016

Associated revisions

Revision 100cf25b - 03/12/2017 07:15 AM - Ori Rabin

Fixes #18718 - Empty boolean matcher should not turn into false

Revision 9f85c84d - 03/28/2017 11:47 AM - Ori Rabin

Fixes #18718 - Empty boolean matcher should not turn into false

(cherry picked from commit 100cf25b86366d1646e8221ebcfb21750c353548)

History

#1 - 02/28/2017 06:10 AM - Ori Rabin

- Related to Bug #17870: Saving an empty matcher for smart class parameter of type boolean saves the value false added

#2 - 03/12/2017 08:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 100cf25b86366d1646e8221ebcfb21750c353548.

#3 - 03/14/2017 06:55 AM - Ivan Necas

- Target version set to 1.12.0

#4 - 03/16/2017 04:05 AM - Dominic Cleal

- translation missing: en.field_release set to 227

Powered by TCPDF (www.tcpdf.org)

05/18/2024 1/1

http://projects.theforeman.org/issues/17870
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/100cf25b86366d1646e8221ebcfb21750c353548
http://www.tcpdf.org

